# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

from machine import ADC # ADC = analog-digital converter

tempsensor = ADC(ADC.CORE_TEMP)

def Temperatur():
  messwert = tempsensor.read_u16() * 3.3 / 65535
  temp = 27 - (messwert - 0.706)/0.001721
  return temp

print("Temperatur: {:3.2f} °C".format(Temperatur()))
