# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

import utime
from machine import ADC

tempsensor = ADC(ADC.CORE_TEMP)

def Temperatur():
  messwert = tempsensor.read_u16() * 3.3 / 65535
  temp = 27 - (messwert - 0.706)/0.001721
  return temp

file = open("Temperaturen.txt", "w")

for i in range(86400 / 30): # Ca. einen Tag lang alle 30 Sekunden aufzeichnen
  file.write(str(Temperatur()))
  file.flush()
  utime.sleep(30) # 30 Sekunden warten

file.close()
