# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

import machine
import utime
import _thread
taster = machine.Pin(14, machine.Pin.IN, machine.Pin.PULL_DOWN)
leuchtdiode = machine.Pin(25, machine.Pin.OUT)
global button_pressed
button_pressed = False

def button_reader_thread():
  global button_pressed
  while True:
    if taster.value() == 1:
      button_pressed = True
    utime.sleep(0.01)

_thread.start_new_thread(button_reader_thread, ())

while True:
  if button_pressed:
    leuchtdiode.value(1)
    utime.sleep(0.5)
    leuchtdiode.value(0)
    global button_pressed
    button_pressed = False
