# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

from machine import Pin, I2C
from ssd1306 import SSD1306_I2C

i2c=I2C(0,sda=Pin(0), scl= Pin(1), freq=400000)
oled = SSD1306_I2C(64, 48, i2c)

oled.text("Gscheid", 0, 0)
oled.text("schlau", 0, 10)
oled.text("mit dem", 0, 20)
oled.text("Pi Pico", 0, 30)
oled.text("& Python", 0, 40)
oled.show()
